@charset "utf-8";


/* 顶部 */
.tao-head{
    width: 100%;
    height: 70px;
    background-color: var(--bg-a);
    margin-bottom: 30px;
}
.tao-head > .tao-div{
    width: 1200px;
    height: 100%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
}
@media (max-width: 1200px) {
	.tao-head > .tao-div{
        width: 100%;
        padding: 0 15px;
        box-sizing: border-box; 
    }
}
.tao-head > .tao-div > .head-left{
    display: flex;
    align-items: center;
}
.tao-head > .tao-div > .head-left > .head-logo{
    height: 45px;
}
.tao-head > .tao-div > .head-left > .head-logo > a{
    display: inline-block;
    height: 100%;
}
.tao-head > .tao-div > .head-left > .head-logo > a > img{
    height: 100%;
}
.tao-head > .tao-div > .head-left > .head-nav{
    
}
@media (max-width: 1200px) {
	.tao-head > .tao-div > .head-left > .head-nav{
        display: none;
    }
}
.tao-head > .tao-div > .head-left > .head-nav > ul{
    display: flex;
    margin-left: 80px;
}
.tao-head > .tao-div > .head-left > .head-nav > ul > li{
    margin: 0 22px 0 0;
}
.tao-head > .tao-div > .head-left > .head-nav > ul > li > a{
    display: inline-block;
    padding: 6px 10px;
    box-sizing: border-box;
    border-radius: 4px;
}
.tao-head > .tao-div > .head-left > .head-nav > ul > li > a:hover{
    color: var(--fn-c);
    background-color: var(--bg-b);
}
.tao-head > .tao-div > .head-right{
    display: flex;
    align-items: center;
}
.tao-head > .tao-div > .head-right{
    
}
.tao-head > .tao-div > .head-right > form{
    display: flex;
    align-items: center;
}
.tao-head > .tao-div > .head-right > form > input{
    width: 100%;
    max-width: 100%;
    height: 36px;
    text-align: left;
    border: 1px solid var(--bg-b);
    color: var(--fn-b);
    background: var(--bg-b);
    outline: none;
    padding: 6px 16px;
    box-sizing: border-box; 
    border-radius: 4px;
    font-size: 14px;
}





/* 主体 */
.tao-cont{
    width: 100%;
    min-height: 300px;
    margin-bottom: 30px;
}
.tao-cont > .tao-div{
    width: 1200px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    
}
@media (max-width: 1200px) {
	.tao-cont > .tao-div{
        width: 100%;
        padding: 0 15px;
        box-sizing: border-box; 
    }
}
.tao-cont > .tao-div > .cont-left{
    width: 100%;
    min-width: 905px;
    min-height: 300px;
    background-color: var(--bg-a);
    border-radius: 4px;
    padding: 15px;
    box-sizing: border-box;
    
}
@media (max-width: 1200px) {
	.tao-cont > .tao-div > .cont-left{
        width: 100%;
        min-width: 100px;
    }
}
.tao-cont > .tao-div > .cont-left > .cont-left-top{
    width: 100%;
    margin-bottom: 14px;
    border-bottom: 1px solid #e9eff4;
    padding-bottom: 16px;
    box-sizing: border-box;
}
.tao-cont > .tao-div > .cont-left > .cont-left-top > span{
    display: inline-block;
    border-radius: 4px;
    background-color: var(--bg-b);
    color: var(--fn-b);
    padding: 4px 8px;
    box-sizing: border-box;
    font-size: 12px;
}
.tao-cont > .tao-div > .cont-left > .cont-left-top > span:hover{
    
}
.tao-cont > .tao-div > .cont-left > .cont-left-top > a{
    display: inline-block;
    border-radius: 4px;
    background-color: var(--bg-b);
    color: var(--fn-b);
    padding: 4px 8px;
    box-sizing: border-box;
    font-size: 12px;
}
.tao-cont > .tao-div > .cont-left > .cont-left-top > a:hover{
    color: var(--bg-a);
    background: var(--bg-c);
}
.tao-cont > .tao-div > .cont-left > .cont-left-top > h1{
    color: var(--fn-a);
    font-size: 20px;
    font-weight: 560;
    line-height: 22px;
    margin: 16px 0px 0px 0px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
/*主体 列表*/
.tao-cont > .tao-div > .cont-left > .cont-left-list{
    width: 100%;
}
.tao-cont > .tao-div > .cont-left > .cont-left-list > li{
    width: 100%;
    display: flex;
    min-height: 80px;
    border-bottom: 1px solid #e9eff4;
    margin-top: 16px;
}
.tao-cont > .tao-div > .cont-left > .cont-left-list > li > .list-left{
    width: 130px;
    min-width: 130px;
}
@media (max-width: 1200px) {
	.tao-cont > .tao-div > .cont-left > .cont-left-list > li > .list-left{
        width: 70px;
        min-width: 70px;
    }
}
.tao-cont > .tao-div > .cont-left > .cont-left-list > li > .list-left > p{
    display: inline-block;
    width: 50px;
    height: 50px;
    border-radius: 4px;
    background-color: var(--bg-b);
    font-size: 13px;
    margin-right: 6px;
    padding: 4px 2px 2px 2px;
    box-sizing: border-box;
    color: var(--fn-a);
}
@media (max-width: 1200px) {
	.tao-cont > .tao-div > .cont-left > .cont-left-list > li > .list-left > p:nth-child(2){
        display: none;
    }
}
.tao-cont > .tao-div > .cont-left > .cont-left-list > li > .list-left > p > span{
    display: block;
    text-align: center;
    font-size: 12px;
    line-height: 20px;
}
.tao-cont > .tao-div > .cont-left > .cont-left-list > li > .list-right{
    width: calc(100% - 130px);
    min-height: 80px;
}
@media (max-width: 1200px) {
    .tao-cont > .tao-div > .cont-left > .cont-left-list > li > .list-right{
        width: calc(100% - 70px);
        min-height: 70px;
    }
}
.tao-cont > .tao-div > .cont-left > .cont-left-list > li > .list-right > h2{
    height: 30px;
    line-height: 24px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-size: 15px;
}
.tao-cont > .tao-div > .cont-left > .cont-left-list > li > .list-right > h2 > a{
    font-size: 14px;
}
.tao-cont > .tao-div > .cont-left > .cont-left-list > li > .list-right > h2 > a:hover{
    color: var(--fn-c);
}
.tao-cont > .tao-div > .cont-left > .cont-left-list > li > .list-right > h2 > .list-sort{
    display: inline-block;
    border-radius: 4px;
    background-color: var(--bg-b);
    color: var(--fn-b);
    padding: 0 6px;
    box-sizing: border-box;
    font-size: 12px;
}
.tao-cont > .tao-div > .cont-left > .cont-left-list > li > .list-right > h2 > span{
    display: inline-block;
    border-radius: 4px;
    background-color: var(--bg-b);
    color: var(--fn-b);
    padding: 0 6px;
    box-sizing: border-box;
    font-size: 12px;
    margin-left: 6px;
}
@media (max-width: 1200px) {
    .tao-cont > .tao-div > .cont-left > .cont-left-list > li > .list-right > h2 > span{
        display: none;
    }
}
.tao-cont > .tao-div > .cont-left > .cont-left-list > li > .list-right > p{
    color: var(--fn-b);
    font-size: 12px;
    line-height: 20px;
    margin-bottom: 6px;
    max-height: 36px;
    overflow: hidden;
    text-overflow: ellipsis;
}
/*主体 列表错误*/
.tao-cont > .tao-div > .cont-left > .cont-left-err{
    margin: 12px 0;
}
.tao-cont > .tao-div > .cont-left > .cont-left-err > p{
    font-size: 13px;
}
/*主体 列表分页*/
.tao-cont > .tao-div > .cont-left > .cont-left-page{
    margin: 16px 0;
}
.tao-cont > .tao-div > .cont-left > .cont-left-page > span{
    display: inline-block;
    width: 32px;
    height: 32px;
    line-height: 32px;
    border-radius: 4px;
    background-color: var(--bg-b);
    color: var(--fn-c);
    font-size: 13px;
    text-align: center;
}
.tao-cont > .tao-div > .cont-left > .cont-left-page > em{
    display: inline-block;
    width: 32px;
    height: 32px;
    line-height: 32px;
    border-radius: 4px;
    background-color: var(--bg-b);
    color: var(--fn-b);
    font-size: 13px;
    text-align: center;
}
.tao-cont > .tao-div > .cont-left > .cont-left-page > a{
    display: inline-block;
    width: 32px;
    height: 32px;
    line-height: 32px;
    border-radius: 4px;
    background-color: var(--bg-b);
    color: var(--fn-b);
    font-size: 13px;
    text-align: center;
}
.tao-cont > .tao-div > .cont-left > .cont-left-page > a:hover{
    color: var(--fn-c);
}
/*主体 文章*/
.tao-cont > .tao-div > .cont-left > .cont-left-log{
    width: 100%;
    max-width: 100%;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont{
    width: 100%;
    min-height: 200px;
    max-width: 100%;
    white-space: normal;
    padding: 8px 0;
    box-sizing: border-box;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont > h2{
    margin: 22px 0 12px 0;
    border-bottom: 1px solid #e9eff4;
    font-size: 16px;
    line-height: 22px;
    padding-bottom: 6px;
    box-sizing: border-box;
    position: relative;
    margin-left: 14px;
    padding-left: 2px;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont > h2:before{
    font-weight: 600;
    position: absolute;
    top: 0;
    left: -0.8em;
    content: '#';
    color: var(--fn-a);
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont a{
    color: var(--fn-c);
    display: inline-block;
    padding: 2px 6px;
    box-sizing: border-box;
    border-radius: 2px;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont a:hover{
    background-color: var(--bg-b);
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont > p{
    margin: 8px 0;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont pre{
    width: 100%;
    max-width: 100%;
    font-size: 12px;
    line-height: 22px;
    border-radius: 4px;
    color: #8599ab;
    background-color: var(--bg-b);
    padding: 10px 12px;
    box-sizing: border-box;
    margin: 10px 0;
    font-family: tao-subset;
    font-style: normal;
    white-space: pre-line;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont pre:hover{
    
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont code{
    color: var(--fn-c);
    background-color: #fff5f5;
    border-radius: 2px;
    padding: 2px 6px;
    box-sizing: border-box;
    font-family: tao-subset;
    white-space: pre-line;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont code:hover{
    background-color: var(--bg-b);
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont hr{
    height: 1px;
    margin: 22px 0;
    border: 0;
    background-color: #EBF1F8;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont img{
    max-width: 100%;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont > ul{
    margin: 8px 0;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont > ul > li{
    padding-left: 20px;
    box-sizing: border-box;
    margin: 8px 0;
    position: relative;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont > ul > li:before{
    content: '';
    position: absolute;
    display: block;
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background-color: var(--fn-a);
    left: 5px;
    top: 50%;
    margin-top: -2px;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont > ol{
    margin: 8px 0;
    list-style:decimal outside;
    padding-left: 26px;
    box-sizing: border-box;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont > ol > li{
    padding-left: 6px;
    box-sizing: border-box;
    margin: 8px 0;
    box-sizing: border-box;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont table{
    display: inline-block;
    color: var(--fn-b);
    background-color: var(--bg-b);
    border-radius: 4px;
    box-sizing: border-box;
    margin: 4px 0;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont table th{
    box-sizing: border-box;
    padding: 4px 10px;
    border: 1px solid #FFF;
    font-size: 12px;
    font-weight: 600;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-cont table td{
    box-sizing: border-box;
    padding: 4px 10px;
    border: 1px solid #FFF;
    font-size: 12px;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-copy{
    font-size: 12px;
    line-height: 20px;
    border-radius: 4px;
    color: var(--fn-b);
    background-color: var(--bg-b);
    padding: 8px 10px;
    margin: 40px 0 6px 0;
    
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-tag{
    width: 100%;
    height: 40px;
    margin-bottom: 12px;
    border-bottom: 1px solid #e9eff4;
    padding: 4px 0;
    box-sizing: border-box;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-tag > a{
    display: inline-block;
    font-size: 12px;
    height: 26px;
    border-radius: 4px;
    color: var(--fn-b);
    background-color: var(--bg-b);
    padding: 5px 7px;
    box-sizing: border-box;
    margin-right: 8px;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-tag > a:hover{
    color: var(--bg-a);
    background: var(--bg-c);
    
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-foot{
    width: 100%;
    height: 26px;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
}
.tao-cont > .tao-div > .cont-left > .cont-left-log > .log-foot > span{
    font-size: 13px;
    color: var(--fn-b);
}
/*主体 文章密码*/
.tao-cont > .tao-div > .cont-left > .cont-left-pw{
    width: 100%;
}
.tao-cont > .tao-div > .cont-left > .cont-left-pw > form{
    width: 100%;
}
.tao-cont > .tao-div > .cont-left > .cont-left-pw > form > input{
    width: 20%;
    min-width: 200px;
    max-width: 100%;
    height: 36px;
    text-align: left;
    border: 1px solid var(--bg-b);
    color: var(--fn-b);
    background: var(--bg-b);
    outline: none;
    padding: 6px 16px;
    box-sizing: border-box;
    border-radius: 4px;
    font-size: 14px;
}
@media (max-width: 1200px) {
	.tao-cont > .tao-div > .cont-left > .cont-left-pw > form > input{
        width: 100%;
    }
}



/*侧边栏*/
.tao-cont > .tao-div > .cont-right{
    width: 295px;
    min-width: 295px;
    min-height: 300px;
    padding-left: 15px;
    box-sizing: border-box;
    border-radius: 4px;
}
@media (max-width: 1200px) {
	.tao-cont > .tao-div > .cont-right{
        display: none;
    }
}
.tao-cont > .tao-div > .cont-right > .widget{
    width: 100%;
    min-height: 100px;
    border-radius: 4px;
    background-color: var(--bg-a);
    margin-bottom: 15px;
    padding: 15px;
    box-sizing: box-sizing;
}
.tao-cont > .tao-div > .cont-right > .widget > .widget-title{
    width: 100%;
    margin-bottom: 14px;
}
.tao-cont > .tao-div > .cont-right > .widget > .widget-title > h3{
    width: 100%;
}
/*侧边栏 标签*/
.tao-cont > .tao-div > .cont-right > .widget > .widget-tag{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    
}
.tao-cont > .tao-div > .cont-right > .widget > .widget-tag > li{
    width: 80px;
    height: 32px;
    display: inline-block;
    border-radius: 4px;
    margin-bottom: 6px;
    background-color: var(--bg-b);
}
.tao-cont > .tao-div > .cont-right > .widget > .widget-tag > li:nth-child(3n+1),.tao-cont > .tao-div > .cont-right > .widget > .widget-tag > li:nth-child(3n+2){
    margin-right: 5px;
}
.tao-cont > .tao-div > .cont-right > .widget > .widget-tag > li > a{
    display: inline-block;
    width: 100%;
    height: 100%;
    padding: 4px 10px;
    box-sizing: border-box;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    border-radius: 4px;
    font-size: 12px;
    line-height: 24px;
    color: var(--fn-b);
}
.tao-cont > .tao-div > .cont-right > .widget > .widget-tag > li > a:hover{
    color: var(--bg-a);
    background: var(--bg-c);
}
.tao-cont > .tao-div > .cont-right > .widget > .widget-tag > li > a > i{
    font-style: normal;
}
/*侧边栏 文章*/
.tao-cont > .tao-div > .cont-right > .widget > .widget-blog{
    width: 100%;
}
.tao-cont > .tao-div > .cont-right > .widget > .widget-blog > li{
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
    font-size: 13px;
}
.tao-cont > .tao-div > .cont-right > .widget > .widget-blog > li > a{
    width: 170px;
    display: inline-block;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.tao-cont > .tao-div > .cont-right > .widget > .widget-blog > li > a:hover{
    color: var(--fn-c) !important;
}
.tao-cont > .tao-div > .cont-right > .widget > .widget-blog > li > span{
    width: 70px;
    text-align: right;
    color: var(--fn-b);
    font-size: 12px;
}




















/* 尾部 */
.tao-foot{
    width: 100%;
    height: 70px;
    background-color: var(--bg-a);
}
.tao-foot > .tao-div{
    width: 1200px;
    height: 100%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
@media (max-width: 1200px) {
	.tao-foot > .tao-div{
        width: 100%;
        padding: 0 15px;
        box-sizing: border-box;
    }
}
.tao-foot > .tao-div > p{
    font-size: 12px;
    color: var(--fn-b);
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.tao-foot > .tao-div > p > a{
    color: var(--fn-b);
}
.tao-foot > .tao-div > p > a:hover{
    color: var(--fn-c);
}
.tao-foot > .tao-div > a{
    width: 36px;
    min-width: 36px;
    margin-left: 10px;
    height: 36px;
    display: inline-block;
    border-radius: 4px;
    text-align: center;
    line-height: 36px;
    background-color: var(--bg-c);
    color: #FFFFFF;
    font-size: 14px;
    
}


















